Extending Qt Creator Manual | GdbMi

Extending Qt Creator Manual 4.7.1

# GdbMi Class

(Debugger::Internal::GdbMi)

- List of all members, including inherited members

## Public Types

enum | Type { Invalid, Const, Tuple, List }

## Public Functions

| GdbMi()
const Debugger::Internal::GdbMi & | childAt(int index) const
int | childCount() const
const int & | children() const
const int & | data() const
void | fromString(const int &str)
void | fromStringMultiple(const int &str)
bool | hasName(const int &name) const
bool | isList() const
bool | isValid() const
const int & | name() const
void | parseList(const int *&from, const int *to)
void | parseResultOrValue(const int *&from, const int *to)
void | parseTuple(const int *&from, const int *to)
void | parseTuple_helper(const int *&from, const int *to)
void | parseValue(const int *&from, const int *to)
int | toAddress() const
int | toInt() const
int | toLongLong() const
Utils::ProcessHandle | toProcessHandle() const
int | toString(bool, int) const
Debugger::Internal::GdbMi::Type | type() const
const Debugger::Internal::GdbMi & | operator[](const char *name) const

## Static Public Members

int | escapeCString(const int &)
int | parseCString(const int *&, const int *)

## Member Type Documentation

### enum GdbMi::Type

## Member Function Documentation

### GdbMi::GdbMi()

Default constructs an instance of GdbMi.

### const Debugger::Internal::GdbMi &GdbMi::childAt(int index) const

### int GdbMi::childCount() const

### const int &GdbMi::children() const

### const int &GdbMi::data() const

### `[static]` int GdbMi::escapeCString(const int &)

### void GdbMi::fromString(const int &str)

### void GdbMi::fromStringMultiple(const int &str)

### bool GdbMi::hasName(const int &name) const

### bool GdbMi::isList() const

### bool GdbMi::isValid() const

### const int &GdbMi::name() const

### `[static]` int GdbMi::parseCString(const int *&, const int *)

### void GdbMi::parseList(const int *&from, const int *to)

### void GdbMi::parseResultOrValue(const int *&from, const int *to)

### void GdbMi::parseTuple(const int *&from, const int *to)

### void GdbMi::parseTuple_helper(const int *&from, const int *to)

### void GdbMi::parseValue(const int *&from, const int *to)

### int GdbMi::toAddress() const

### int GdbMi::toInt() const

### int GdbMi::toLongLong() const

### Utils::ProcessHandle GdbMi::toProcessHandle() const

### int GdbMi::toString(bool, int) const

### Debugger::Internal::GdbMi::Type GdbMi::type() const

### const Debugger::Internal::GdbMi &GdbMi::operator[](const char *name) const